import request from '@/utils/request'

// 创建ERP主子表
export function createDemo03Student2(data) {
  return request({
    url: '/mes/demo03-student2/create',
    method: 'post',
    data: data
  })
}

// 更新ERP主子表
export function updateDemo03Student2(data) {
  return request({
    url: '/mes/demo03-student2/update',
    method: 'put',
    data: data
  })
}

// 删除ERP主子表
export function deleteDemo03Student2(id) {
  return request({
    url: '/mes/demo03-student2/delete?id=' + id,
    method: 'delete'
  })
}

// 获得ERP主子表
export function getDemo03Student2(id) {
  return request({
    url: '/mes/demo03-student2/get?id=' + id,
    method: 'get'
  })
}

// 获得ERP主子表分页
export function getDemo03Student2Page(params) {
  return request({
    url: '/mes/demo03-student2/page',
    method: 'get',
    params
  })
}
// 导出ERP主子表 Excel
export function exportDemo03Student2Excel(params) {
  return request({
    url: '/mes/demo03-student2/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// ==================== 子表（学生课程表2） ====================
    // 获得学生课程表2分页
  export function getDemo03Course2Page(params) {
    return request({
      url: '/mes/demo03-student2/demo03-course2/page',
      method: 'get',
      params
    })
  }
        // 新增学生课程表2
  export function createDemo03Course2(data) {
    return request({
      url: '/mes/demo03-student2/demo03-course2/create',
      method: 'post',
      data
    })
  }
  // 修改学生课程表2
  export function updateDemo03Course2(data) {
    return request({
      url: '/mes/demo03-student2/demo03-course2/update',
      method: 'post',
      data
    })
  }
  // 删除学生课程表2
  export function deleteDemo03Course2(id) {
    return request({
      url: '/mes/demo03-student2/demo03-course2/delete?id=' + id,
      method: 'delete'
    })
  }
  // 获得学生课程表2
  export function getDemo03Course2(id) {
    return request({
      url: '/mes/demo03-student2/demo03-course2/get?id=' + id,
      method: 'get'
    })
  }

// ==================== 子表（学生班级表2） ====================
    // 获得学生班级表2分页
  export function getDemo03Grade2Page(params) {
    return request({
      url: '/mes/demo03-student2/demo03-grade2/page',
      method: 'get',
      params
    })
  }
        // 新增学生班级表2
  export function createDemo03Grade2(data) {
    return request({
      url: '/mes/demo03-student2/demo03-grade2/create',
      method: 'post',
      data
    })
  }
  // 修改学生班级表2
  export function updateDemo03Grade2(data) {
    return request({
      url: '/mes/demo03-student2/demo03-grade2/update',
      method: 'post',
      data
    })
  }
  // 删除学生班级表2
  export function deleteDemo03Grade2(id) {
    return request({
      url: '/mes/demo03-student2/demo03-grade2/delete?id=' + id,
      method: 'delete'
    })
  }
  // 获得学生班级表2
  export function getDemo03Grade2(id) {
    return request({
      url: '/mes/demo03-student2/demo03-grade2/get?id=' + id,
      method: 'get'
    })
  }
